/* ==============================
   Responsive Typography
================================= */
@media screen and (width: 1920px) and (height: 992px) {
.building-tomorrow .container-fluid, .precision-led .container-fluid, .innovation .container-fluid, #our-story-board-of-director .container-fluid, #career-build .container-fluid, #career-infrastructure .container-fluid {
    max-width: 1140px;
    margin: auto;
}
#career-build .build-col,
.precision-led-col {
    padding-inline-start: 20px;
}

ul#pills-board-director-tab {
    margin-inline-start: 0;
    gap: 40px;
}
#navigation_bar .navbar-nav{
	padding-top:0.8rem;
}
}
/* 4K and ultrawide desktops */
@media (min-width: 1600px) {
  :root {
    --banner-font: 400 90px / 95px "Adani", sans-serif;
    --heading-font: 400 55px / 60px "Adani", sans-serif;
    --sub-heading-font: 400 24px / 30px "Adani", sans-serif;
    --body-font: 400 18px / 26px "Adani", sans-serif;
    --btn-font: 400 1.125rem / 1.25rem "Adani", sans-serif;
    --nav-font: 400 1.125rem / 1.3 "Adani", sans-serif;
    --footer-font: 500 0.875rem / 2 "Adani", sans-serif;
  }
}

/* Large Tablets / Landscape (992px – 1199px) */
@media (max-width: 1199px) {
  :root {
    --banner-font: 400 65px / 72px "Adani", sans-serif;
    --heading-font: 400 38px / 44px "Adani", sans-serif;
    --sub-heading-font: 400 19px / 25px "Adani", sans-serif;
    --body-font: 400 15px / 22px "Adani", sans-serif;
    --btn-font: 400 0.95rem / 1rem "Adani", sans-serif;
    --nav-font: 400 1.275rem / 1.2 "Adani", sans-serif;
    --footer-font: 500 0.8rem / 1.8 "Adani", sans-serif;
  }
  .navbar-brand {
    padding: 0;
    margin: 0;
    width: 70%;
  }
  .navbar-toggler {
    border: 0 !important;
    box-shadow: unset !important;
    outline: none !important;
  }
  #navigation_bar .dropdown-menu {
    max-width: 100%;
    padding: 1rem;
  }
  #navigation_bar .header-border {
    height: 2px;
    width: 94%;
    top: 5%;
  }
  .project-inner-row {
    padding-top: 5rem;
  }
  #navigation_bar .navbar-toggler img {
    /* filter: brightness(0) invert(1); */
  }
  #navigation_bar.nav-down .navbar-toggler img {
    filter: brightness(1) invert(0);
  }
  #navigation_bar .navbar-nav {
    align-items: start;
    padding-right: 0 !important;
    margin: 0;
  }
  #navigation_bar .navbar .nav-link {
    color: var(--black-color);
    padding-inline: 1rem;
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: flex-start;

  }
  #navigation_bar .services-dropdown-menu .header-border {
    left: 4%;
    top: 10%;
  }
  .main-btn .circle {
    width: 2rem;
    height: 2rem;
  }
  .main-btn .button-text {
    line-height: 10px;
  }
  .main-btn {
    /* width: 8rem; */
    height: auto;
  }
  .main-btn .circle .icon.arrow {
    height: 1rem;
    width: 1rem;
    top: 23px;
    left: 9px;
  }
  footer {
    border-top: 1px solid #d9d9d9;
    padding-top: 2rem;
  }
  /*new css*/
    li.nav-item.dropdown.left-menu-box h2.card-title {
    font-size: 32px;
    line-height: 40px;
    }
   
    li.nav-item.dropdown.left-menu-box a.card {
        z-index: 99;
    }
        .project-inner-row {
        padding-top: 3rem;
    }
    /*new css*/
   #navigation_bar .navbar .nav-link:hover, #navigation_bar.nav-down .navbar .nav-link:hover, #navigation_bar .navbar .nav-link.active{
        color: var(--black-color) !important;
    }
}

@media (max-width: 991px) {
    #navigation_bar .navbar .navbar-toggler img {
         filter: brightness(1) invert(0);
    }
    #navigation_bar .navbar .nav-link {
        color: var(--black-color) !important;
        width: 100% !important;
    }
    #navigation_bar.nav-down .navbar .navbar-toggler img {
        filter: brightness(1) invert(0);
    }
}
/* Tablets Portrait (768px – 991px) */
@media (max-width: 991px) {
.section-spacing {
    padding: clamp(2rem, 1rem + 2vw, 4rem) 0 0;
}
  :root {
    --banner-font: 400 50px / 58px "Adani", sans-serif;
    --heading-font: 400 32px / 38px "Adani", sans-serif;
    --sub-heading-font: 400 25px / 30px "Adani", sans-serif;
    --body-font: 400 15px / 22px "Adani", sans-serif;
    --btn-font: 400 0.9375rem / 1rem "Adani", sans-serif;
    --nav-font: 400 1.275rem / 1.2 "Adani", sans-serif;
    --footer-font: 500 0.75rem / 1.5 "Adani", sans-serif;
  }

    .footer-links {
        margin: 1rem auto;
        flex-wrap: nowrap;
        max-width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: start;
    }
  .footer-logo {
    text-align: center;
  }
  .social-media {
    margin: 1rem auto;
  }
  .footer-col {
    flex: 0 0 34%;
  }
  .footer-links .footer-col h5 {
    font: 500 1rem / 1.3rem "Adani", sans-serif;
  }
  .copyright,
  .useful-links,
  .web-credits {
    flex: 0 0 100%;
  }
 .useful-links ul {
    display: flex;
    justify-content: space-evenly;
    gap: 0rem;
}


  .footer-bottom {
    flex-wrap: wrap;
    text-align: center;
    gap: 1rem;
    padding-bottom: 2rem;
  }
  .project-inner-row {
     padding-top: 0;
     margin-top: 2rem;
     max-height: 400px;
    }
    


 #navigation_bar .dropdown-menu {
    width: 100%;
    position: static;    
    transform: none;
    padding: 0;
  }

  #navigation_bar .mobile-dropdown-menu {
    width: 100%;
  }

  #navigation_bar .mobile-dropdown-menu .dropdown-item {
    padding: 6px 20px;
    white-space: normal;
  }
  #navigation_bar .left-menu-box {
    width: 100%;
    border-radius: 12px;
}

#navigation_bar .left-menu-box .dropdown-menu {
    box-shadow: none;
    border: 0;
    margin-top: 3px;
    margin-bottom: 10px;
    background: transparent;
}
#navigation_bar .dropdown-toggle::after {
    display: none !important;
}

#navigation_bar .navbar .nav-link.active {
    background: none;
    animation: none;
    transform: none;
    color: #91288D !important;
}
 #navigation_bar .navbar .nav-link:hover {
      background: none !important;
      transform: none !important;
      animation: none !important;
      color: inherit !important;
  }


#navigation_bar .custom-arrow {
    margin-left: auto;
    margin-bottom: 5px;
    width: 10px;
    height: 10px;
    border-right: 1.5px solid currentColor;
    border-bottom: 1.5px solid currentColor;
    transform: rotate(45deg);      
    transition: transform 0.25s ease;
}
#navigation_bar 
.nav-link.dropdown-toggle[aria-expanded="true"] 
.custom-arrow {
    transform: rotate(-135deg);
    color: #91288D !important;
}
#navigation_bar 
.nav-link.dropdown-toggle[aria-expanded="true"] 
.menu-text {
    color: #91288D !important;
}

#navigation_bar .left-menu-box:has(.dropdown-menu.show) {
    background: #fff;
    box-shadow: 0px 0px 10.88px 0px #00000026;
    border-radius: 12px;
}
    
}
/* Mobile Landscape (576px – 767px) */
@media (max-width: 767px) {
  :root {
    --banner-font: 400 42px / 48px "Adani", sans-serif;
    --heading-font: 400 32px / 35px "Adani", sans-serif;
    --sub-heading-font: 400 25px / 30px "Adani", sans-serif;
    --body-font: 400 15px / 22px "Adani", sans-serif;
    --btn-font: 400 0.9rem / 1rem "Adani", sans-serif;
    --nav-font: 400 1.275rem / 1.2 "Adani", sans-serif;
    --footer-font: 500 0.75rem / 1.4 "Adani", sans-serif;
  }
}
/* Mobile Portrait (≤575px) */
@media (max-width: 575px) {
  :root {
    --banner-font: 400 34px / 40px "Adani", sans-serif;
    --heading-font: 400 32px / 35px "Adani", sans-serif;
    --sub-heading-font: 400 25px / 30px "Adani", sans-serif;
    --body-font: 400 14px / 21px "Adani", sans-serif;
    --btn-font: 400 0.875rem / 1rem "Adani", sans-serif;
    --nav-font: 400 1.275rem / 1.2 "Adani", sans-serif;
    --footer-font: 500 0.75rem / 1.3 "Adani", sans-serif;
  }
}
/* Mobile Portrait (≤575px) */
@media (max-width: 316px) {
  :root {
    --banner-font: 400 30px / 35px "Adani", sans-serif;
    --heading-font: 400 32px / 35px "Adani", sans-serif;
    --sub-heading-font: 400 16px / 22px "Adani", sans-serif;
    --body-font: 400 14px / 21px "Adani", sans-serif;
    --btn-font: 400 0.875rem / 1rem "Adani", sans-serif;
    --nav-font: 400 1.275rem / 1.2 "Adani", sans-serif;
    --footer-font: 500 0.75rem / 1.3 "Adani", sans-serif;
  }
}